using UnityEngine;
using System.Collections;

public class PlayerCamera : MonoBehaviour {

    public GameObject target;

	private float relativeHeigth = 1.0f;
    private float zDistance = 3.0f;
    private float dampSpeed = 3.0f;
	private Vector3 filterVelocity=new Vector3();
	
	public Vector3 spyVectorPos;
	public Vector3 spyVectorVel;
    public Vector3 spyTargetPos;

    void Update () {
		filterVelocity = Vector3.Lerp(filterVelocity, target.rigidbody.velocity, Time.deltaTime*dampSpeed);
		filterVelocity.y=0.2f * filterVelocity.y;
		Vector3 localTearing= new Vector3(0, relativeHeigth, -zDistance);
		//Transform convertCoord;
		if (Vector3.Dot(filterVelocity, filterVelocity) > 0.1f)
		   transform.LookAt(transform.position+filterVelocity,Vector3.up);
		
		Vector4 tempTearing=transform.localToWorldMatrix *(new Vector4(localTearing.x,localTearing.y,localTearing.z));
		Vector3 worldTearing = new Vector3(tempTearing.x,tempTearing.y,tempTearing.z);
        Vector3 newPos = target.transform.position + worldTearing;
		transform.position = spyVectorPos = newPos;
		spyVectorVel= target.rigidbody.velocity;
		spyTargetPos=target.transform.position;
        //transform.position = Vector3.Lerp(transform.position, newPos, Time.deltaTime*dampSpeed);
	}
}
