using UnityEngine;
using System.Collections;

public class AnimatedHeartTextures : MonoBehaviour {
	
	public GameObject textPresenter;
	private float contractedTime = 	0.010f;
	private float heartRate = 85.0f/60;
 	public bool beating = true;
	private float dilatedTime;

	public Texture[] heartArray;
	//the current frame to display
    private int index = 0;
 
    void Start()
    {
		dilatedTime = 1.0f/heartRate - contractedTime;
		
        StartCoroutine(updateTiling());
 
    }
 
    private IEnumerator updateTiling()
    {
        while (beating)
        {
			float waitTIme;
            //move to the next index
            index++;
            if (index >= 2)
                index = 0;
			
			textPresenter.renderer.material.SetTexture("_MainTex", heartArray[index]);
			print ("Beat233");
 
			if (index == 0)
				waitTIme = dilatedTime;
			else 
				waitTIme = contractedTime;
			yield return new WaitForSeconds(waitTIme);
        }
		yield break;
    }
}
