using UnityEngine;
using System.Collections;

public class JumpPlayer : MonoBehaviour {
    public bool isGrounded;
	public float notGroundedTime;
	public float maxOutTime = 4.0f;
	public GameObject mainCamSuper;
	// Use this for initialization
	public void Start () {
	    isGrounded = false;
		notGroundedTime = 0;
	}
	
	// Update is called once per frame
	public void Update () {
	    if (isGrounded&&Input.GetKey(KeyCode.UpArrow))
        {
            Jump();
        }
	}
	
    public void Jump()
    {
        isGrounded = false;
        rigidbody.AddForce(new Vector3(0, 20000, 0), ForceMode.Force);   
		//print("Jump1");
    }

	public void FixedUpdate()
    {
        isGrounded = Physics.Raycast(transform.position, -Vector3.up, 0.9f);
		if (!isGrounded)
			notGroundedTime=notGroundedTime+Time.deltaTime;
		else
			notGroundedTime=0;
		if(notGroundedTime>maxOutTime)
			mainCamSuper.SendMessage("Lost");
	}
}       
