using UnityEngine;
using System.Collections;

public class PlayerControl : MonoBehaviour {

    private float xzspeedMag=5.0f, angSpeed;
	public Vector3 xzVel, yVel;
	//Radio de giro = 360/AngSpeed * SpeedMag / 2 / pi
	//AngSpeed = 360 * SpeedMag / 2 / pi
	
	void Awake () {
		angSpeed = 0.5f * 360.0f * xzspeedMag / 2 / Mathf.PI;
		rigidbody.velocity = Vector3.forward * xzspeedMag;
		xzVel=new Vector3();
	}
	
	void Update () {
        float rotation = Input.GetAxis("Horizontal") * angSpeed *Time.deltaTime; // + (Input.GetAxis("Vertical") * Vector3.forward *movementSpeed);//ForwardFragDAV * Vector3.forward * movementSpeed);
 		Quaternion rotAngleAxis;
		rotAngleAxis = Quaternion.AngleAxis(rotation,Vector3.up);

		rigidbody.velocity = rotAngleAxis*rigidbody.velocity;
		//transform.RotateAround(Vector3.up,rotation);
		xzVel.x=rigidbody.velocity.x;
		xzVel.z=rigidbody.velocity.z;
		rigidbody.velocity=xzspeedMag*Vector3.Normalize(xzVel)+new Vector3(0,rigidbody.velocity.y,0);
		transform.LookAt(transform.position-Vector3.Cross(rigidbody.velocity,Vector3.up),Vector3.up);
		
		//rigidbody.AddForce(movement, ForceMode.Force);
		//Quaternion rot90;
		//rot90 = Quaternion.AngleAxis(90.0f,Vector3.up);
		//transform.RotateAround(Vector3.up,90.0f);
		
	}

    void OnTriggerEnter  (Collider other  ) {
        if (other.tag == "Pickup")
        {
            //MarbleGameManager.SP.FoundGem();
            //Destroy(other.gameObject);
        }
        else
        {
            //Other collider.. See other.tag and other.name
        }        
    }

}
